Bug 6132 - Не могу пройти авторизацию через SASL при подключении к серверу OpenLDAP
: Не могу пройти авторизацию через SASL при подключении к серверу OpenLDAP
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-17 17:44 by
Modified: 2007-01-07 07:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-17 17:44:07
В установке из коробки пакетов openldap-clients, openldap-servers, настройки
slapd согласно инструкции из openldap-doc для регистрации через SASL (в
частности DIGEST-MD5) не могу пройти авторизацию.

В рассылки Сизифа так никто и не помог. Поиск привёл к тому, что при обновлении
chroot-окружения slapd не копируются библиотеки /usr/lib/sasl2/lib*.so (НЕ so.2
или so.2.0.20) в каталог /var/lib/ldap/usr/lib/sasl2. Возможно, что ещё
требуется и файл slapd.conf в каталоге /usr/lib/sasl2 или
/var/lib/ldap/usr/lib/sasl2. После ручного копирования всё заработало.
Необходимо подправить файл /etc/chroot.d/ldap.lib
Steps to Reproduce:
1.установить все пакеты openldap-*
2.Согласно /usr/share/doc/HTML/en/OpenLDAP-Guide/SASL.html настроить slapd для
прохождения авторизации через DIGEST-MD5, чтобы при этом пароли хранились в
OpenLDAP.
3. ldapsearch -LLL -Y DIGEST-MD5 -U user@realm -b "dc=example,dc=com" -W
Actual Results:  
Сообщает об ошибке авторизации с кодом 16 (не найден нужный объект).

Expected Results:  
Должен выдать базу данных
------- Comment #1 From 2005-02-17 17:46:06 -------
В догонку: требуется ещё и файл /lib/libcrypto.so.4
------- Comment #2 From 2005-02-20 21:40:11 -------
Да еще необходимо добавить, что необходимо исправить почти все упоминания о
копировании основных бибилиотек OpenLDAP

Так же необходимо добавить копирование библиотек libopenslp так как новый
OpenLDAP  

И проверить работоспособность back_perl из chroot окружения! -- жаль что ну нас
нет системы ALT Linux Team TODO system.
------- Comment #3 From 2005-02-20 21:42:40 -------
*** Bug 5930 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2005-02-28 16:03:14 -------
Исправлено в 2.2.23-alt2

Прошу тестировать!!!
------- Comment #5 From 2006-01-10 12:45:19 -------
Вроде, работает. Закрываю.
------- Comment #6 From 2006-03-11 10:08:35 -------
Тогда RESOLVED FIXED надо.
------- Comment #7 From 2006-03-11 10:09:23 -------
И кстати -- в openldap@l.o.o.u анонсирована сборка openldap-2.3, которая сейчас
наблюдается в Daedalus.